#!/bin/sh
# Taper < diapo-qiv.sh a > pour le message d'aide. /
# Type < diapo-qiv.sh h > for the help message.
case "$1" in
	a)FiC="les fichiers jpg ou png du répertoire";DoN="dont le nom commence par"
	echo -e "\e[47;30m####\n# /usr/local/bin/diapo-qiv.sh\n#
### Objectif : diaporama avec le visionneur qiv. (https://spiegl.de/qiv)
### Usage (à l'aide d'exemples)
# Ouvrir un terminal dans un répertoire d'images jpg, jpeg ou png,
# puis taper l'une des commandes suivantes :\n## 1) diapo-qiv.sh
# 	Affiche pendant 6 secondes $FiC
#	(six secondes étant la durée par défaut de l'affichage);\n#
## 2) diapo-qiv.sh 4\n#	Affiche pendant 4 secondes $FiC;\n#
## 3) diapo-qiv.sh 5 B\n#	Affiche pendant 5 secondes $FiC
# 	$DoN B ou b;\n#
## 4) diapo-qiv.sh 3 B G\n# 	Affiche pendant 3 secondes $FiC
# 	$DoN B ou b, et G ou g;\n#
## 5) diapo-qiv.sh 7 B G M\n# 	Affiche pendant 7 secondes $FiC
# 	$DoN B ou b, G ou g, et M ou m;\n#
## 6) diapo-qiv.sh 50 B G M X\n# 	Affiche pendant 50 secondes $FiC
# 	$DoN B ou b, G ou g, M ou m, X ou x;\n#
## 7) diapo-qiv.sh a
#	Afficher le présent message d'aide.\n#\n### Remarques importantes:
# 	Ce script accepte de 0 à 5 paramètres seulement;
#	toujours taper le paramètre de durée en premier;
#	la durée de l'affichage est de 3 à 15 secondes, ou encore
#	de 20, 25, 30, 40, 50, 60 ou 90 secondes;
# 	taper la \e[4m1ère\e[24m lettre du nom de fichier en \e[4mMAJUSCULE\e[24m;
#	ce script affiche les images aux formats jpg, jpeg ou png;
#	si vous tapez un caractère erroné, le script vous le rappellera;
#	les fichiers à extension jpeg seront renommés en jpg.\n#\n###
# (c) Christian L'Écuyer (alias musher0 dans le forum Puppy),
#     Gatineau (Qc), Canada, 2016-11-09. GPL3. Rév. 2016-11-25.\n####\e[0m\n" | more ;;

	h)FiC="the jpg or png files in the directory";DoN="whose name begins with"
	echo -e "\e[47;30m####\n# /usr/local/bin/diapo-qiv.sh\n#
### Goal : slideshow with the qiv viewer. (https://spiegl.de/qiv)
### Usage (through examples)
# Open a terminal in a directory of jpg, jpeg or png images, and
# then type one of the following commands:\n## 1) diapo-qiv.sh
# 	Will display during 6 seconds $FiC
#	(six seconds being the default display duration in this script);\n#
## 2) diapo-qiv.sh 4\n#	Will display during 4 seconds $FiC;\n#
## 3) diapo-qiv.sh 5 B\n#	Displays during 5 seconds $FiC
# 	$DoN B or b;\n#
## 4) diapo-qiv.sh 3 B G\n# 	Displays during 3 seconds $FiC
# 	$DoN B or b, and G or g;\n#
## 5) diapo-qiv.sh 7 B G M\n# 	Displays during 7 seconds $FiC
# 	$DoN B or b, G or g, and M or m;\n#
## 6) diapo-qiv.sh 50 B G M X\n# 	Displays during 50 seconds $FiC
# 	$DoN B ou b, G or g, M or m, and X or x;\n#
## 7) diapo-qiv.sh h
#	Displays this help message.\n#\n### Important Notes:
# 	This script accepts from 0 to 5 parameters only;
#	always type the duration paramater first;
#	the display duration is either from 3 to 15 seconds, or
#	20, 25, 30, 40, 50, 60 or 90 seconds;
#	type the \e[4m1st\e[24m letter of the filename in \e[4mUPPERCASE\e[24m;
#	this script displays images in jpg, jpeg or png formats;
#	if you type a wrong character, the script will remind you;
#	files with a jpeg extension will be renamed as jpg's.\n#\n###
# (c) Christian L'Écuyer (alias musher0 in the Puppy forum),
#     Gatineau (Qc), Canada, 2016-11-09. GPL3. Rev. 2016-11-25.\n####\e[0m\n" | more ;;

	""|3|4|5|6|7|8|9|10|11|12|13|14|15|20|25|30|40|50|60|90)
	if [ "$2" ];then # Préparation, liste partielle.

		# S'il existe dans le répertoire des images à terminaison jpeg, les renommer.
		if [ "`ls -1 *.jpeg`" ];then
			ls -1 *.jpeg | awk -F. '{ print $1 }' > jpeg.lst
			for i in `cat jpeg.lst`
			do
				cp -n $i.jpeg $i.jpg
			done
			rm -f jpeg.lst
			rm -f *.jpeg # On fait ça une seule fois !
		fi

		DuR="$1" # Durée # Liste d'images :
		ls -1 "$2"*.??g 2> /dev/null > liste
		ls -1 "${2,}"*.??g 2> /dev/null >> liste

		if [ "$3" != "" ];then # Optionnels :
			ls -1 "$3"*.??g 2> /dev/null >> liste
			ls -1 "${3,}"*.??g 2> /dev/null >> liste
		fi
		if [ "$4" != "" ];then
			ls -1 "$4"*.??g 2> /dev/null >> liste
			ls -1 "${4,}"*.??g 2> /dev/null >> liste
		fi
		if [ "$5" != "" ];then
			ls -1 "$5"*.??g 2> /dev/null >> liste
			ls -1 "${5,}"*.??g 2> /dev/null >> liste
		fi
		qiv -s -d $DuR -f -t -m -C -F liste;rm -f liste # Montrer
	elif [ "$1" ];then # Liste complète
		qiv -s -d $1 -f -t -m -M -C * # Affiche toutes les images png ou jpg du
# répertoire avec durée d'affichage spécifique.
	else # Choix par défaut.
		qiv -s -d 6 -f -t -m -M -C * # Chaque image du répertoire est affichée
# pendant 6 secondes.
	fi ;;

	*)case "${LANG:0:2}" in # Piège à erreurs
		fr)echo -e "\e[47m\e[30m\n\tLe caractère tapé est erroné.\e[0m\n" ;;
		en|*)echo -e "\e[47m\e[30m\n\tYou typed the wrong character.\e[0m\n" ;;
	esac
	exit ;;
esac ### 30 ###
